Bug 620898 - Review Request: nxtrc - A program to interact with LEGO NXT via BlueTooth
Review Request: nxtrc - A program to interact with LEGO NXT via BlueTooth
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Martin Gieseking
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-03 14:08 EDT by Damian Wrobel
Modified: 2010-10-05 05:37 EDT (History)
3 users (show)

See Also:
Fixed In Version: nxtrc-2.3-3.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-01 08:21:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
martin.gieseking: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Damian Wrobel 2010-08-03 14:08:32 EDT
Spec URL: http://theowned.net/~dw/projects/rpmbuild/SPECS/nxtrc.spec
SRPM URL: http://theowned.net/~dw/projects/rpmbuild/SRPMS/nxtrc-2.3-1.fc12.src.rpm
Description: xtrc (NXT  Remote  Command) is a small command line program that allows to send various commands to a LEGO Mindstorm NXT Brick. It uses the Bluetooth protocol through the Bluez libraries.

Among other things, it allows to:
 - start/stop the program on the NXT,
 - read/write/delete/list files on the NXT filesystem,
 - get battery level,
 - play sound files on the NXT device.


This is my first package and I'll need a sponsor.
Comment 1 Martin Gieseking 2010-09-14 15:48:55 EDT
Hi Damian,

your package looks almost fine. Just a few minor notes:

- remove "A" from the Summary

- drop "Requires: bluez-libs" (it's added automatically as a dependency)

- The manpage contains the invalid comment prefix ." instead of .\" 
  You can fix this with
  sed -i 's/^\." /.\\" /' nxtrc.1

- add file Readme.txt as %doc


$ rpmlint /var/lib/mock/fedora-13-x86_64/result/*.rpm
nxtrc.x86_64: E: explicit-lib-dependency bluez-libs
nxtrc.x86_64: W: manual-page-warning /usr/share/man/man1/nxtrc.1.gz 1: warning: `"' not defined
3 packages and 0 specfiles checked; 1 errors, 1 warnings.


BTW, if you don't have a sponsor yet, I can sponsor you if you're willing to do two or three informal reviews of other packager's submissions in order to show a (basic) understanding of the packaging guidelines. This is important because you're allowed to formally review and approve packages, once you're sponsored.
If you're still interested in joining the packager group, let me know. :)
Comment 2 Damian Wrobel 2010-09-14 16:59:40 EDT
(In reply to comment #1)

Martin,

Thanks for your valuable comments.

> - remove "A" from the Summary
done
> - drop "Requires: bluez-libs" (it's added automatically as a dependency)
done
> - The manpage contains the invalid comment prefix ." instead of .\" 
>   You can fix this with
>   sed -i 's/^\." /.\\" /' nxtrc.1
done
> - add file Readme.txt as %doc
done
>

Spec URL: http://theowned.net/~dw/projects/rpmbuild/SPECS/nxtrc.spec
SRPM URL: http://theowned.net/~dw/projects/rpmbuild/SRPMS/nxtrc-2.3-2.fc13.src.rpm


> If you're still interested in joining the packager group, let me know. :)
It would be really appreciated. I'll try to review some packages as well, but I'll probably need a little bit more time to have a possibility to be prepared appropriately to do that in accordance with the Package Review Guidelines.
Comment 3 Martin Gieseking 2010-09-21 12:35:10 EDT
Damian, the tarball in the SRPM doesn't match the upstream one:

$ md5sum nxtrc-2.3.tar.gz*
6066b8cad2dd78d8d3e76c30cf196451  nxtrc-2.3.tar.gz
d4be8bafe65e6336363a515ed5199ccc  nxtrc-2.3.tar.gz.upstream
Comment 4 Damian Wrobel 2010-09-21 12:53:13 EDT
(In reply to comment #3)
> Damian, the tarball in the SRPM doesn't match the upstream one:
Indeed, it looks that the author has changed the tarball in the meantime.
I'll contact author to avoid similar issue in the future.

Spec URL: http://theowned.net/~dw/projects/rpmbuild/SPECS/nxtrc.spec
SRPM URL:
http://theowned.net/~dw/projects/rpmbuild/SRPMS/nxtrc-2.3-3.fc13.src.rpm
Comment 5 Martin Gieseking 2010-09-21 14:00:18 EDT
(In reply to comment #4)
> I'll contact author to avoid similar issue in the future.
OK, fine. 

The updated package is ready now.

$ rpmlint /var/lib/mock/fedora-13-x86_64/result/*.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
    - GPLv2 according to COPYING

[+] MUST: The License field in the package spec file must match the actual license.
[+] MUST: The file containing the text of the license(s) must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ md5sum nxtrc-2.3.tar.gz*
    d4be8bafe65e6336363a515ed5199ccc  nxtrc-2.3.tar.gz
    d4be8bafe65e6336363a515ed5199ccc  nxtrc-2.3.tar.gz.1

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
    - Koji scratch build:
      http://koji.fedoraproject.org/koji/taskinfo?taskID=2479859

[.] MUST: If the package does not successfully compile, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[.] MUST: The spec file MUST handle locales properly.
[.] MUST: Packages storing shared library files (not just symlinks) must call ldconfig in %post and %postun.
[+] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: If a package contains library files with a suffix ...
[.] MUST: devel packages must require the base package 
[+] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[.] SHOULD: If the source package does not include license text(s) as a separate file ...
[+] SHOULD: The reviewer should test that the package builds in mock.
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: subpackages other than devel should require the base package 
[.] SHOULD: pkgconfig(.pc) should be placed in a -devel pkg.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, ...
[+] SHOULD: your package should contain man pages for binaries/scripts.

----------------
Package APPROVED
----------------
Comment 6 Damian Wrobel 2010-09-21 14:51:42 EDT
New Package SCM Request
=======================
Package Name: nxtrc
Short Description: Program to interact with LEGO NXT via BlueTooth
Owners: dwrobel
Branches: f12 f13 f14
InitialCC:
Comment 7 Kevin Fenzi 2010-09-22 12:55:58 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2010-09-23 15:37:10 EDT
nxtrc-2.3-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/nxtrc-2.3-3.fc14
Comment 9 Fedora Update System 2010-09-23 15:38:13 EDT
nxtrc-2.3-3.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/nxtrc-2.3-3.fc12
Comment 10 Fedora Update System 2010-09-23 15:38:57 EDT
nxtrc-2.3-3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/nxtrc-2.3-3.fc13
Comment 11 Fedora Update System 2010-09-24 16:39:32 EDT
nxtrc-2.3-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nxtrc'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/nxtrc-2.3-3.fc13
Comment 12 Fedora Update System 2010-10-01 08:21:15 EDT
nxtrc-2.3-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2010-10-05 05:25:24 EDT
nxtrc-2.3-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2010-10-05 05:37:01 EDT
nxtrc-2.3-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.